org.apache.sysds.runtime.controlprogram.paramserv.rpc

## Class PSRpcResponse

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.paramserv.rpc.PSRpcObject
  - - org.apache.sysds.runtime.controlprogram.paramserv.rpc.PSRpcResponse

-     public class PSRpcResponse
      extends PSRpcObject

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PSRpcResponse.Type`

  - ### Field Summary

    - ### Fields inherited from class org.apache.sysds.runtime.controlprogram.paramserv.rpc.PSRpcObject

      `PULL, PUSH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PSRpcResponse(ByteBuffer buffer)`
    `PSRpcResponse(PSRpcResponse.Type status)`
    `PSRpcResponse(PSRpcResponse.Type status, Object data)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deserialize(ByteBuffer buffer)`
    `String` | `getErrorMessage()`
    `ListObject` | `getResultModel()`
    `boolean` | `isSuccessful()`
    `ByteBuffer` | `serialize()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PSRpcResponse

          public PSRpcResponse(ByteBuffer buffer)
                        throws IOException

      Throws:
        `IOException`

    - #### PSRpcResponse

          public PSRpcResponse(PSRpcResponse.Type status)

    - #### PSRpcResponse

          public PSRpcResponse(PSRpcResponse.Type status,
                               Object data)

  - ### Method Detail

    - #### isSuccessful

          public boolean isSuccessful()

    - #### getErrorMessage

          public String getErrorMessage()

    - #### getResultModel

          public ListObject getResultModel()

    - #### deserialize

          public void deserialize(ByteBuffer buffer)
                           throws IOException

      Specified by:
        `deserialize` in class `PSRpcObject`
      Throws:
        `IOException`

    - #### serialize

          public ByteBuffer serialize()
                               throws IOException

      Specified by:
        `serialize` in class `PSRpcObject`
      Throws:
        `IOException`

Copyright © 2021 The Apache Software Foundation. All rights reserved.